:mod:`~webhelpers.containers` Handy Containers
==============================================


:mod:`webhelpers.containers`
----------------------------

.. currentmodule:: webhelpers.containers


.. autoclass:: NotGiven
    :members:
.. autoclass:: DumbObject
    :members:
.. autoclass:: Counter
    :members:
.. autoclass:: Accumulator
    :members:
.. autoclass:: UniqueAccumulator
    :members:
.. autofunction:: unique
.. autofunction:: only_some_keys
.. autofunction:: except_keys
.. autofunction:: extract_keys
.. autofunction:: ordered_items
.. autofunction:: del_quiet
.. autofunction:: correlate_dicts
.. autofunction:: correlate_objects
.. autofunction:: distribute

